%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Var_Dump

Name:           php-pear-Var-Dump
Version:        1.0.3
Release:        4%{?dist}
Summary:        Provides methods for dumping structured information about a variable

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Var_Dump
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}


%description
The Var_Dump class is a wrapper for the var_dump function.

The var_dump function displays structured information about expressions
that includes its type and value. Arrays are explored recursively with
values indented to show structure.

The Var_Dump class captures the output of the var_dump function, by using
output control functions, and then uses external renderer classes for
displaying the result in various graphical ways :
* Simple text,
* HTML/XHTML text,
* HTML/XHTML table,
* XML,
* ...

%prep
%setup -q -c
# Ok, package description is v2
mv package.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/%{pear_name} ../docdir


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%check
# For documentation purpose
# After installation, as root
# pear run-tests -p Var_Dump
# -- Should return on i386
# 22 PASSED TESTS
# 0 SKIPPED TESTS
# -- toString-float fails on x86_64 (2147483648 is an int there)


%files
%defattr(-,root,root,-)
%doc docdir/*

%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/%{pear_name}*
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 21 2008 Remi Collet <Fedora@FamilleCollet.com> 1.0.3-2
- Add missing Requires: php-pear(PEAR)

* Tue Jul 08 2008 Remi Collet <Fedora@FamilleCollet.com> 1.0.3-1
- initial RPM

